<?php
require_once "connect.php";

/*
 dados da seção
$id_usuario=0;
$id = 0;

if(isset($_SESSION['id_usuario'])){
  $id_usuario = $_SESSION['id_usuario'];
}
// if($id_usuario==""){$id_usuario=0;}
*/

//Recebendo parametros do Form
if(isset($_POST['ds_uf'])){
  $ds_uf = $_POST['ds_uf'];
}

$ds_estado = $_POST['ds_estado'];
$ds_capital= $_POST['ds_capital'];
$id_pais   = $_POST['id_pais'];

$st_ativo	= 1;
$ok = true;

// preprarando sql conforme instrição editar, excluir e adicionar
if(isset($_POST['editar'])) {
  $sql = "update erpc_estados set id_pais = '$id_pais', ds_estado = '$ds_estado', ds_uf = '$ds_uf', ds_capital='$ds_capital',st_ativo  =  $st_ativo";
  $sql .= " where ds_uf = '$ds_uf'";
}else
	if(isset($_POST['excluir'])) {
	$sql = "update erpc_estados set st_ativo = 0";
	$sql .= " where id = '$ds_uf'";
}else
	if(isset($_POST['adicionar'])) {
	$sql = "insert into erpc_estados ( id_pais, ds_estado, ds_uf, ds_capital, st_ativo) values ( '$id_pais', '$ds_estado', '$ds_uf', '$ds_capital', $st_ativo )";
}

// Se montou o SQL, executa
if($sql!=""){
  $stmt = mysqli_prepare($conexao, $sql) or die(mysqli_error($conexao) . '<br />' . $sql);
  $ok   = mysqli_stmt_execute($stmt) or die(mysqli_error($conexao));
}

/*
echo $ok;
echo $sql;
exit;*/

//Voltando para lista
if(isset($_POST['helper'])){
  if ($ok) {
    $msg['text'] = 'Item inserido com sucesso';
    $msg['type'] = 'success';
  } else {
    $msg['text'] = ".........=======> " . $errorMsg;
    $msg['type'] = 'error';
  }
  header('Content-type: application/json');
  echo json_encode($msg);
}else{
  header("Location:erpc_estados_list.php");
}
?>
